<?php
// Variables attendues: $translations, $currentLang, $darkModeClass
?>
<!DOCTYPE html>
<html lang="<?= htmlspecialchars($currentLang) ?>">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?= htmlspecialchars($translations['app_name'] ?? 'Gestion Certificat') ?></title>
    <link rel="stylesheet" href="/css/style.css">
    <link rel="stylesheet" href="/css/dark-mode.css">
    <!-- Font Awesome pour les icônes si besoin -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
</head>
<body class="<?= htmlspecialchars($darkModeClass) ?>">
    <header class="app-header">
        <div class="header-content container">
            <div class="app-title">
                <h1><?= htmlspecialchars($translations['app_name'] ?? 'Gestion Certificat') ?></h1>
            </div>
            <div class="header-controls">
                <div class="language-switcher">
                    <?php foreach (SUPPORTED_LANGUAGES as $lang): ?>
                        <a href="?lang=<?= htmlspecialchars($lang) ?>" class="lang-button <?= $currentLang === $lang ? 'active' : '' ?>"><?= htmlspecialchars(strtoupper($lang)) ?></a>
                    <?php endforeach; ?>
                </div>
                <div class="dark-mode-switcher">
                    <a href="?dark_mode=<?= \App\Utils\DarkMode::isEnabled() ? 'off' : 'on' ?>" class="dark-mode-button">
                        <?php if (\App\Utils\DarkMode::isEnabled()): ?>
                            <i class="fas fa-sun"></i> <?= htmlspecialchars($translations['light_mode']) ?>
                        <?php else: ?>
                            <i class="fas fa-moon"></i> <?= htmlspecialchars($translations['dark_mode']) ?>
                        <?php endif; ?>
                    </a>
                </div>
            </div>
        </div>
    </header>
    <main>
