<?php
// Variables attendues du contrôleur: $users, $translations, $currentLang, $darkModeClass, $successMessage, $errorMessage, $authService (pour getUserId)
require_once APP_ROOT_DIR . '/src/Views/shared/header.php';
?>

    <div class="container">
        <h1><?= htmlspecialchars($translations['users']) ?></h1>
        <div class="actions-bar">
            <a href="/dashboard" class="button secondary-button"><?= htmlspecialchars($translations['back_to_dashboard']) ?></a>
            <a href="/users/create" class="button primary-button"><?= htmlspecialchars($translations['create_new_user']) ?></a>
        </div>

        <?php if (isset($successMessage)): ?>
            <p class="success-message"><?= htmlspecialchars($successMessage); ?></p>
        <?php endif; ?>
        <?php if (isset($errorMessage)): ?>
            <p class="error-message"><?= htmlspecialchars($errorMessage); ?></p>
        <?php endif; ?>

        <?php if (empty($users)): ?>
            <p><?= htmlspecialchars($translations['no_users_yet']) ?></p>
        <?php else: ?>
            <div class="table-responsive">
                <table>
                    <thead>
                        <tr>
                            <th><?= htmlspecialchars($translations['username']) ?></th>
                            <th><?= htmlspecialchars($translations['user_role']) ?></th>
                            <th><?= htmlspecialchars($translations['created_at']) ?></th>
                            <th><?= htmlspecialchars($translations['actions']) ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($users as $user): ?>
                            <tr>
                                <td><?= htmlspecialchars($user['username']) ?></td>
                                <td><?= htmlspecialchars($translations[$user['role']] ?? $user['role']) ?></td>
                                <td><?= htmlspecialchars((new DateTime($user['created_at']))->format('Y-m-d H:i:s')) ?></td>
                                <td>
                                    <?php if ($user['id'] !== $authService->getUserId()): // Impossible de supprimer son propre compte ?>
                                        <form action="/users/delete" method="post" class="inline-form" onsubmit="return confirm('<?= htmlspecialchars($translations['confirm_delete_user']) ?>');">
                                            <input type="hidden" name="user_id" value="<?= htmlspecialchars($user['id']) ?>">
                                            <button type="submit" class="button danger-button"><?= htmlspecialchars($translations['delete_user']) ?></button>
                                        </form>
                                    <?php else: ?>
                                        <em><?= htmlspecialchars($translations['self_delete_not_allowed']) ?></em>
                                    <?php endif; ?>
                                </td>
                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            </div>
        <?php endif; ?>
    </div>

<?php
require_once APP_ROOT_DIR . '/src/Views/shared/footer.php';
?>
